## univention-web 4.0.1-28A~5.0.0.202105101119

=== Makefile ===
#!/usr/bin/make -f
#
# Univention Management Console Frontend Package
#  Makefile for building/installing the package
#
# Copyright 2011-2021 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.


### META FILES AND DIRECTORIES ###

DOJO_DIR := /usr/share/univention-dojo
VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: //p')
WWW_JS_DIR := /var/www/univention/js

TMP_DIR := $(CURDIR)/tmp
TMP_THEME_DIR := $(TMP_DIR)/dijit/themes/umc
TMP_I18N_DIR := $(TMP_DIR)/umc/i18n

BUILD_DIR := $(CURDIR)/build
BUILD_THEME_DIR=$(BUILD_DIR)/dijit/themes/umc


### MAIN RULES ###

.PHONY: build install clean tmp-build tmp-umc-icons build-dev build-live i18n

build: $(BUILD_DIR)/dojo/dojo.js $(BUILD_THEME_DIR)/umc.css $(BUILD_DIR)/config.js $(BUILD_THEME_DIR)/globalCSSVariables.css

%/globalCSSVariables.css: css/globalCSSVariables.styl
	stylus "$<" --out "$@"

$(BUILD_DIR)/dojo/dojo.js $(BUILD_THEME_DIR)/umc.css: build_profile.js tmp-build
	# main dojo build process
	mkdir -p $(BUILD_DIR)
	/usr/share/univention-dojo/util/buildscripts/build.sh profile=build_profile.js version="$(VERSION)"

JS_INSTALL_DIR := usr/share/univention-web/js
THEME_INSTALL_DIR=$(JS_INSTALL_DIR)/dijit/themes/umc

install:
	# copy all files for univention-web-js
	cd $(BUILD_DIR); find . -type d -exec install -m0755 -d $(CURDIR)/debian/univention-web-js/$(JS_INSTALL_DIR)/{} \;
	cd $(BUILD_DIR); find . -type f -exec install -m0644 {} $(CURDIR)/debian/univention-web-js/$(JS_INSTALL_DIR)/{} \;
	rm -rf $(CURDIR)/debian/univention-web-js/$(JS_INSTALL_DIR)/dijit/themes/umc
	rm -f $(CURDIR)/debian/univention-web-js/$(JS_INSTALL_DIR)/build-report.txt
	# copy all files for univention-web-style
	cd $(BUILD_DIR); find dijit/themes/umc -type d -exec install -m0755 -d $(CURDIR)/debian/univention-web-style/$(JS_INSTALL_DIR)/{} \;
	cd $(BUILD_DIR); find dijit/themes/umc -type f -exec install -m0644 {} $(CURDIR)/debian/univention-web-style/$(JS_INSTALL_DIR)/{} \;


### DEVELOPMENT RULES ###

UMC_ICONS_DIR := /usr/share/univention-management-console-frontend/js/dijit/themes/umc/icons
UMC_ICON_FILES := $(shell find $(UMC_ICONS_DIR) -type f)
TMP_UMC_ICON_FILES := $(UMC_ICON_FILES:$(UMC_ICONS_DIR)/%=$(TMP_THEME_DIR)/icons/%)
I18N_FILES := js/de.po js/en.po

i18n: $(I18N_FILES)

build-dev: tmp-build $(TMP_UMC_ICON_FILES)
	# divert original js symlink and create symlink to temporary build dir "tmp"
	if [ -L $(WWW_JS_DIR) -a "$$(readlink -f $(WWW_JS_DIR))" = "/usr/share/univention-web/js" ]; then \
		dpkg-divert --package univention-web-make-build-dev --add --rename --divert $(WWW_JS_DIR).real $(WWW_JS_DIR) ;\
		ln -s $(TMP_DIR) $(WWW_JS_DIR) ;\
		ln -s /usr/share/univention-web/js/umc/hooks.json $(TMP_DIR)/umc ;\
		ln -s /usr/share/univention-web/js/umc/hooks/*.js $(TMP_DIR)/umc/hooks ;\
		ucr set umc/web/hooks/univention-web-js?default_menu_entries ;\
	fi

$(TMP_UMC_ICON_FILES): $(TMP_THEME_DIR)/icons/%: $(UMC_ICONS_DIR)/%
	mkdir -p $(@D)
	ln -fs $< $@


### INTERMEDIATE LEVEL BUILD RULES ###

# javascript files
JS_FILES := $(shell find js -name "*.js")
TMP_JS_FILES := $(JS_FILES:js/%=$(TMP_DIR)/umc/%)
DOJO_PACKAGES := $(filter-out $(DOJO_DIR)/util, $(wildcard $(DOJO_DIR)/*))
TMP_DOJO_PACKAGES := $(DOJO_PACKAGES:$(DOJO_DIR)/%=$(TMP_DIR)/%)
TMP_I18N_FILES := $(addprefix $(TMP_I18N_DIR)/, en/app.json de/app.json en/branding.json de/branding.json)

# font files
FONT_FILES := $(shell unzip -Z1 Open_Sans.zip | grep "ttf\|woff")
TMP_FONT_FILES := $(addprefix $(TMP_THEME_DIR)/fonts/, $(FONT_FILES))

# image files
IMG_FILES := $(shell find css -name "*.svg" -o -name "*.png" -o -name "*.gif")
WHITE_IMG_FILES := $(addprefix css/images/,icons-white.svg icons-small-white.svg univention-white.svg univention_u-white.svg home-white.svg)
SVG_IMG_FILES := $(shell find css -name "*.svg")
PNG_IMG_FILES := $(filter-out css/images/login_logo.png css/images/feather-sprite.png,$(SVG_IMG_FILES:.svg=.png))
ALL_IMG_FILES := $(IMG_FILES) $(WHITE_IMG_FILES) $(PNG_IMG_FILES)
TMP_IMG_FILES := $(patsubst css/%,$(TMP_THEME_DIR)/%,$(ALL_IMG_FILES))

tmp-build: $(TMP_JS_FILES) $(TMP_DOJO_PACKAGES) $(TMP_I18N_FILES) $(TMP_DIR)/umc/package.json $(TMP_DIR)/umc/_all.js $(TMP_DIR)/login/main.js $(TMP_DIR)/config.js $(TMP_THEME_DIR)/umc.css $(TMP_THEME_DIR)/login.css $(TMP_THEME_DIR)/dijit.css $(TMP_THEME_DIR)/bootstrap.css $(TMP_FONT_FILES) $(TMP_IMG_FILES) $(TMP_THEME_DIR)/globalCustom.css

$(TMP_JS_FILES):
	@# create symlinks for all JavaScript files
	mkdir -p $(@D)
	ln -fs $(patsubst $(TMP_DIR)/umc/%,$(CURDIR)/js/%,$@) $@

$(TMP_DOJO_PACKAGES): $(TMP_DIR)/%: $(DOJO_DIR)/%
	@# copy dojo and dijit files into tmp dir; remove util dir
	mkdir -p $(TMP_DIR)
	cp -rfs $< $@

$(TMP_I18N_DIR)/%/branding.json:
	@# create empty branding localisation files to not cause 404 errors
	mkdir -p $(@D)
	echo '{}' > "$@"

$(TMP_I18N_DIR)/%/app.json: js/%.po
	@# create empty branding localisation files to not cause 404 errors
	mkdir -p $(@D)
	dh-umc-po2json $<
	mv $(<D)/$*.json $@

js/%.po: $(JS_FILES)
	xgettext --force-po --add-comments=i18n --from-code=UTF-8 --sort-output --language JavaScript -o $@.temp $^
	msgmerge $@ $@.temp > $@.new
	mv $@.new $@
	rm -f $@.temp

$(TMP_DIR)/umc/package.json: debian/changelog
	mkdir -p $(@D)
	sed 's/%VERSION%/$(VERSION)/' package.json > $@

$(TMP_DIR)/umc/_all.js:
	# generate a pseudo module which contains references to all other JS modules
	deps=$$(find js/ -name "*.js" -a -not -name "*.*.js" -a -not -wholename 'js/hooks/*' | sort | sed 's/\.js//; s/^js/umc/; s/i18n$$/i18n!/; s/.*/"\0",/; $$ s/,$$//'); \
	echo "define([$$deps], function() { })" > $@

$(TMP_DIR)/login/main.js:
	# generate empty pseudo modules
	mkdir -p $(@D)
	echo "define([], function() { })" > $@

%/config.js: config.js
	# copy the config.js to its appropriate directory
	mkdir -p $(@D)
	sed 's/%VERSION%/$(VERSION)/' $< > $@

$(TMP_THEME_DIR)/umc.css: css/umc.css
	mkdir -p $(@D)
	ln -fs $(CURDIR)/css/umc.css* $(@D)

$(TMP_THEME_DIR)/login.css: css/login.css
	mkdir -p $(@D)
	ln -fs $(CURDIR)/css/login.css* $(@D)

$(TMP_THEME_DIR)/dijit.css: css/dijit.css
	mkdir -p $(@D)
	ln -fs $(CURDIR)/css/dijit.css* $(@D)

$(TMP_THEME_DIR)/bootstrap.css: css/bootstrap.css
	mkdir -p $(@D)
	ln -fs $(CURDIR)/css/bootstrap.css* $(@D)

$(TMP_THEME_DIR)/globalCustom.css:
	touch $@

STYL_FILES := $(shell find css -name "*.styl")

css/umc.css: css/umc.styl $(STYL_FILES) $(ALL_IMG_FILES)
	cd $(@D); stylus --sourcemap --resolve-url --hoist-atrules $(<F)

css/login.css: css/login.styl
	cd $(@D); stylus --sourcemap --resolve-url --hoist-atrules $(<F)

$(TMP_THEME_DIR): $(TMP_DIR)
	# link theme files into the tmp dir
	cp -fsr $(CURDIR)/css $@

$(TMP_IMG_FILES): $(TMP_THEME_DIR)/%: css/%
	@# create symlinks for all image files
	mkdir -p $(@D)
	cp $< $@

# %/bootstrap.css: bootstrap.zip
	# unzip -o -j $< "*bootstrap.css" -d $(TMP_THEME_DIR)
	# sed -i '/font-size: 10px/d' $@

$(TMP_FONT_FILES): Open_Sans.zip
	mkdir -p $(@D)
	unzip -o $< $(@F) -d $(@D)
	touch $@

# automatically create SVG files with white icons
%-white.svg: %.svg
	sed 's/\#282828/\#ffffff/g' $< > $@

%.png: %.svg
	convert -background transparent "$<" "$@"


### CLEAN RULE ###

CREATED_IMG_FILES := $(WHITE_IMG_FILES) $(PNG_IMG_FILES)

.INTERMEDIATE: $(CREATED_IMG_FILES)

clean:
	rm -rf $(TMP_DIR) $(BUILD_DIR) css/umc.css{,.map} $(CREATED_IMG_FILES)
	# remove link to temporary build dir "tmp" and undivert original js directory
	if [ -L $(WWW_JS_DIR) -a "$$(readlink -f $(WWW_JS_DIR))" = "$(TMP_DIR)" ]; then \
		rm $(WWW_JS_DIR) ;\
		dpkg-divert --package univention-web-make-build-dev --remove --rename "$(WWW_JS_DIR)" ;\
	fi

=== debian/changelog ===
univention-web (4.0.1-28A~5.0.0.202105101119) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 10 May 2021 11:19:52 +0200

univention-web (4.0.1-28) unstable; urgency=medium

  * Bug #53217: fix css for open menu

 -- Johannes Keiser <keiser@univention.de>  Mon, 10 May 2021 10:09:34 +0200

univention-web (4.0.1-27) unstable; urgency=medium

  * Bug #53217: css adjustments for browser compatibility

 -- Johannes Keiser <keiser@univention.de>  Mon, 10 May 2021 10:05:54 +0200

univention-web (4.0.1-26) unstable; urgency=medium

  * Bug #53216: fix text overflow in ProgressBar

 -- Johannes Keiser <keiser@univention.de>  Tue, 04 May 2021 09:02:08 +0200

univention-web (4.0.1-25) unstable; urgency=medium

  * Bug #52453: adjust new design

 -- Johannes Keiser <keiser@univention.de>  Tue, 27 Apr 2021 10:56:06 +0200

univention-web (4.0.1-24) unstable; urgency=medium

  * Bug #52453:
    - adjust some error message color
    - Tree background color on dark background
    - Uploader button classes

 -- Johannes Keiser <keiser@univention.de>  Wed, 14 Apr 2021 09:55:15 +0200

univention-web (4.0.1-23) unstable; urgency=medium

  * Bug #52453: adjust style for ul and ol tags

 -- Johannes Keiser <keiser@univention.de>  Wed, 31 Mar 2021 09:01:20 +0200

univention-web (4.0.1-22) unstable; urgency=medium

  * Bug #52453: adjust design

 -- Johannes Keiser <keiser@univention.de>  Thu, 25 Mar 2021 17:20:28 +0100

univention-web (4.0.1-21) unstable; urgency=medium

  * Bug #52453: use non breaking space before '*' in labels for required
    fields

 -- Johannes Keiser <keiser@univention.de>  Thu, 25 Mar 2021 14:03:56 +0100

univention-web (4.0.1-20) unstable; urgency=medium

  * Bug #52453: adjust button styling

 -- Johannes Keiser <keiser@univention.de>  Wed, 24 Mar 2021 15:02:21 +0100

univention-web (4.0.1-19) unstable; urgency=medium

  * Bug #52453: fix typo

 -- Johannes Keiser <keiser@univention.de>  Tue, 23 Mar 2021 08:16:21 +0100

univention-web (4.0.1-18) unstable; urgency=medium

  * Bug #52453: adjust Grid stylings

 -- Johannes Keiser <keiser@univention.de>  Tue, 23 Mar 2021 07:25:57 +0100

univention-web (4.0.1-17) unstable; urgency=medium

  * Bug #52453: adjust Wizard styling + misc

 -- Johannes Keiser <keiser@univention.de>  Mon, 22 Mar 2021 10:43:25 +0100

univention-web (4.0.1-16) unstable; urgency=medium

  * Bug #52453: adjust variable names

 -- Johannes Keiser <keiser@univention.de>  Tue, 16 Mar 2021 12:21:33 +0100

univention-web (4.0.1-15) unstable; urgency=medium

  * Bug #52303: Allow fetching meta.json directly without involving UMC

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 11 Mar 2021 15:42:26 +0100

univention-web (4.0.1-14) unstable; urgency=medium

  * Bug #52453: adjust button row and ContentPane styling

 -- Johannes Keiser <keiser@univention.de>  Mon, 08 Mar 2021 18:49:25 +0100

univention-web (4.0.1-13) unstable; urgency=medium

  * Bug #52453: adjust header styling, LiveSearch dark and
    allow login header in menu be hideable vie menu/Button

 -- Johannes Keiser <keiser@univention.de>  Fri, 05 Mar 2021 10:58:03 +0100

univention-web (4.0.1-12) unstable; urgency=medium

  * Bug #52453: adjust font size, spacing and unused styles

 -- Johannes Keiser <keiser@univention.de>  Fri, 05 Mar 2021 07:46:55 +0100

univention-web (4.0.1-11) unstable; urgency=medium

  * Bug #52453: adjust styling for Grid

 -- Johannes Keiser <keiser@univention.de>  Tue, 16 Feb 2021 15:33:32 +0100

univention-web (4.0.1-10) unstable; urgency=medium

  * Bug #52453: adjust module and dialog styling

 -- Johannes Keiser <keiser@univention.de>  Tue, 16 Feb 2021 13:18:20 +0100

univention-web (4.0.1-9) unstable; urgency=medium

  * Bug #52453: mobile tab styling

 -- Johannes Keiser <keiser@univention.de>  Tue, 09 Feb 2021 08:09:32 +0100

univention-web (4.0.1-8) unstable; urgency=medium

  * Bug #52453: module specific styling changes

 -- Johannes Keiser <keiser@univention.de>  Fri, 29 Jan 2021 11:26:26 +0100

univention-web (4.0.1-7) unstable; urgency=medium

  * Bug #52453: module specific styling changes + misc

 -- Johannes Keiser <keiser@univention.de>  Tue, 26 Jan 2021 09:26:17 +0100

univention-web (4.0.1-6) unstable; urgency=medium

  * Bug #52453: module specific styling changes

 -- Johannes Keiser <keiser@univention.de>  Mon, 25 Jan 2021 11:36:43 +0100

univention-web (4.0.1-5) unstable; urgency=medium

  * Bug #52453: miscellaneous styling changes

 -- Johannes Keiser <keiser@univention.de>  Fri, 22 Jan 2021 12:46:44 +0100

univention-web (4.0.1-4) unstable; urgency=medium

  * Bug #52453: fix App Center install dialog

 -- Johannes Keiser <keiser@univention.de>  Thu, 21 Jan 2021 16:07:58 +0100

univention-web (4.0.1-3) unstable; urgency=medium

  * Bug #52453: fix ProgressBar Infinity handling

 -- Johannes Keiser <keiser@univention.de>  Thu, 21 Jan 2021 12:33:18 +0100

univention-web (4.0.1-2) unstable; urgency=medium

  * Bug #52453: adjust udm styling

 -- Johannes Keiser <keiser@univention.de>  Thu, 21 Jan 2021 11:21:49 +0100

univention-web (4.0.1-1) unstable; urgency=medium

  * Bug #52665: fix XSS vulnerability in Menu

 -- Florian Best <best@univention.de>  Mon, 18 Jan 2021 13:32:57 +0100

univention-web (4.0.0-12) unstable; urgency=medium

  * Bug #52453: UCS 5 design:
    - adjust MultiInput styling
    - adjust module tab styling
    - styling for users/user grid view

 -- Johannes Keiser <keiser@univention.de>  Fri, 15 Jan 2021 11:05:59 +0100

univention-web (4.0.0-11) unstable; urgency=medium

  * Bug #52453: UCS 5 design - MultiInput button styling + search form button
  	alignment

 -- Johannes Keiser <keiser@univention.de>  Tue, 12 Jan 2021 00:02:17 +0100

univention-web (4.0.0-10) unstable; urgency=medium

  * Bug #52453: UCS 5 design - MultiInput, label position and SearchForm



## univention-web 4.0.1-29A~5.0.0.202105261419

=== debian/changelog ===
univention-web (4.0.1-29A~5.0.0.202105261419) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Wed, 26 May 2021 14:19:50 +0200

univention-web (4.0.1-29) unstable; urgency=medium

  * Bug #53310: fix regression of saved username being autofilled in firefox

 -- Johannes Keiser <keiser@univention.de>  Wed, 26 May 2021 14:11:13 +0200

## univention-web 4.0.1-36A~5.0.0.202106211715

=== debian/changelog ===
univention-web (4.0.1-36A~5.0.0.202106211715) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 21 Jun 2021 17:15:17 +0200

univention-web (4.0.1-36) unstable; urgency=medium

  * Bug #53390: move some css vars out of theme file

 -- Johannes Keiser <keiser@univention.de>  Mon, 21 Jun 2021 17:13:36 +0200

univention-web (4.0.1-35) unstable; urgency=medium

  * Bug #53390: adjust Image widget styling

 -- Johannes Keiser <keiser@univention.de>  Mon, 21 Jun 2021 12:56:03 +0200

univention-web (4.0.1-34) unstable; urgency=medium

  * Bug #53390: qa feedback

 -- Johannes Keiser <keiser@univention.de>  Mon, 21 Jun 2021 12:35:12 +0200

univention-web (4.0.1-33) unstable; urgency=medium

  * Bug #53390: use dark theme as fallback theme

 -- Johannes Keiser <keiser@univention.de>  Fri, 11 Jun 2021 14:33:42 +0200

univention-web (4.0.1-32) unstable; urgency=medium

  * Bug #53390: implement light theme

 -- Johannes Keiser <keiser@univention.de>  Fri, 11 Jun 2021 13:31:36 +0200

univention-web (4.0.1-31) unstable; urgency=medium

  * Bug #53307: Improved script and documentation

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 04 Jun 2021 09:51:36 +0200

univention-web (4.0.1-30) unstable; urgency=medium

  * Bug #53307: Theme switch script

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 03 Jun 2021 10:24:07 +0200

## univention-web 4.0.1-37A~5.0.0.202108311526

=== debian/changelog ===
univention-web (4.0.1-37A~5.0.0.202108311526) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 31 Aug 2021 15:26:03 +0200

univention-web (4.0.1-37) unstable; urgency=medium

  * Bug #53728: hide 'Login'/'Logout' menu entry on login site

 -- Johannes Keiser <keiser@univention.de>  Tue, 31 Aug 2021 12:31:13 +0200

## univention-web 4.0.1-41A~5.0.0.202109101116

=== debian/changelog ===
univention-web (4.0.1-41A~5.0.0.202109101116) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 10 Sep 2021 11:16:24 +0200

univention-web (4.0.1-41) unstable; urgency=medium

  * Bug #53665: design:
    - code cleanup
    - required handling for MultiInput
    - padding at bottom of modules

 -- Johannes Keiser <keiser@univention.de>  Fri, 10 Sep 2021 11:10:36 +0200

univention-web (4.0.1-40) unstable; urgency=medium

  * Bug #53631: fix DateBox/TimeBox to always return NULL for empty
    strings

 -- Florian Best <best@univention.de>  Thu, 09 Sep 2021 13:41:36 +0200

univention-web (4.0.1-39) unstable; urgency=medium

  * Bug #53665: fix selenium test and setValid for {Date,Time}Box

 -- Johannes Keiser <keiser@univention.de>  Thu, 09 Sep 2021 10:31:53 +0200

univention-web (4.0.1-38) unstable; urgency=medium

  * Bug #53665: UCS 5 design adjustments  + changes for ucs-school

 -- Johannes Keiser <keiser@univention.de>  Tue, 07 Sep 2021 09:58:54 +0200

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention Common Python and Shell Library
#  rules file for the debian package
#
# Copyright 2011-2021 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

%:
	dh $@ --with ucr

## univention-web 4.0.1-42A~5.0.0.202110051223

=== debian/changelog ===
univention-web (4.0.1-42A~5.0.0.202110051223) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 05 Oct 2021 12:23:39 +0200

univention-web (4.0.1-42) unstable; urgency=medium

  * Bug #53465: replace Expire-caching with Cache-Control "must-
    revalidate, max-age=..."
  * Bug #53465: call umc_frontend_new_hash also in univention-web postinst

 -- Florian Best <best@univention.de>  Tue, 05 Oct 2021 12:17:27 +0200

## univention-web 4.0.1-43A~5.0.0.202110260951

=== debian/changelog ===
univention-web (4.0.1-43A~5.0.0.202110260951) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 26 Oct 2021 09:51:58 +0200

univention-web (4.0.1-43) unstable; urgency=medium

  * Adjust styling for tabs. 

 -- Johannes Keiser <keiser@univention.de>  Tue, 26 Oct 2021 09:36:54 +0200

## univention-web 4.0.2-48A~5.0.0.202202231019

=== Makefile ===
--- 
+++ 
@@ -49,10 +49,7 @@
 
 .PHONY: build install clean tmp-build tmp-umc-icons build-dev build-live i18n
 
-build: $(BUILD_DIR)/dojo/dojo.js $(BUILD_THEME_DIR)/umc.css $(BUILD_DIR)/config.js $(BUILD_THEME_DIR)/globalCSSVariables.css
-
-%/globalCSSVariables.css: css/globalCSSVariables.styl
-	stylus "$<" --out "$@"
+build: $(BUILD_DIR)/dojo/dojo.js $(BUILD_THEME_DIR)/umc.css $(BUILD_DIR)/config.js css/themes/dark.css css/themes/light.css
 
 $(BUILD_DIR)/dojo/dojo.js $(BUILD_THEME_DIR)/umc.css: build_profile.js tmp-build
 	# main dojo build process
@@ -91,6 +88,7 @@
 		ln -s /usr/share/univention-web/js/umc/hooks/*.js $(TMP_DIR)/umc/hooks ;\
 		ucr set umc/web/hooks/univention-web-js?default_menu_entries ;\
 	fi
+	ln -fs "$(CURDIR)/css/themes/$$(ucr get ucs/web/theme).css" /var/www/univention/theme.css
 
 $(TMP_UMC_ICON_FILES): $(TMP_THEME_DIR)/icons/%: $(UMC_ICONS_DIR)/%
 	mkdir -p $(@D)
@@ -112,13 +110,13 @@
 
 # image files
 IMG_FILES := $(shell find css -name "*.svg" -o -name "*.png" -o -name "*.gif")
-WHITE_IMG_FILES := $(addprefix css/images/,icons-white.svg icons-small-white.svg univention-white.svg univention_u-white.svg home-white.svg)
+WHITE_IMG_FILES := $(addprefix css/images/,icons-white.svg icons-small-white.svg univention-white.svg home-white.svg)
 SVG_IMG_FILES := $(shell find css -name "*.svg")
-PNG_IMG_FILES := $(filter-out css/images/login_logo.png css/images/feather-sprite.png,$(SVG_IMG_FILES:.svg=.png))
+PNG_IMG_FILES := $(filter-out css/images/login_logo.png css/images/feather-sprite.png css/images/univention_u.png css/images/info.svg,$(SVG_IMG_FILES:.svg=.png))
 ALL_IMG_FILES := $(IMG_FILES) $(WHITE_IMG_FILES) $(PNG_IMG_FILES)
 TMP_IMG_FILES := $(patsubst css/%,$(TMP_THEME_DIR)/%,$(ALL_IMG_FILES))
 
-tmp-build: $(TMP_JS_FILES) $(TMP_DOJO_PACKAGES) $(TMP_I18N_FILES) $(TMP_DIR)/umc/package.json $(TMP_DIR)/umc/_all.js $(TMP_DIR)/login/main.js $(TMP_DIR)/config.js $(TMP_THEME_DIR)/umc.css $(TMP_THEME_DIR)/login.css $(TMP_THEME_DIR)/dijit.css $(TMP_THEME_DIR)/bootstrap.css $(TMP_FONT_FILES) $(TMP_IMG_FILES) $(TMP_THEME_DIR)/globalCustom.css
+tmp-build: $(TMP_JS_FILES) $(TMP_DOJO_PACKAGES) $(TMP_I18N_FILES) $(TMP_DIR)/umc/package.json $(TMP_DIR)/umc/_all.js $(TMP_DIR)/login/main.js $(TMP_DIR)/config.js $(TMP_THEME_DIR)/umc.css $(TMP_THEME_DIR)/login.css $(TMP_THEME_DIR)/dijit.css $(TMP_THEME_DIR)/bootstrap.css $(TMP_FONT_FILES) $(TMP_IMG_FILES) css/themes/dark.css css/themes/light.css
 
 $(TMP_JS_FILES):
 	@# create symlinks for all JavaScript files
@@ -182,9 +180,6 @@
 	mkdir -p $(@D)
 	ln -fs $(CURDIR)/css/bootstrap.css* $(@D)
 
-$(TMP_THEME_DIR)/globalCustom.css:
-	touch $@
-
 STYL_FILES := $(shell find css -name "*.styl")
 
 css/umc.css: css/umc.styl $(STYL_FILES) $(ALL_IMG_FILES)
@@ -192,6 +187,11 @@
 
 css/login.css: css/login.styl
 	cd $(@D); stylus --sourcemap --resolve-url --hoist-atrules $(<F)
+
+css/themes/dark.css: css/themes/dark.styl
+	stylus "$<"
+css/themes/light.css: css/themes/light.styl
+	stylus "$<"
 
 $(TMP_THEME_DIR): $(TMP_DIR)
 	# link theme files into the tmp dir
@@ -232,4 +232,4 @@
 		rm $(WWW_JS_DIR) ;\
 		dpkg-divert --package univention-web-make-build-dev --remove --rename "$(WWW_JS_DIR)" ;\
 	fi
-
+	@echo $(shell ucr set ucs/web/theme="$(shell ucr get ucs/web/theme)")

=== debian/changelog ===
univention-web (4.0.2-48A~5.0.0.202202231019) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Wed, 23 Feb 2022 10:19:14 +0100

univention-web (4.0.2-48) unstable; urgency=medium

  * Bug #54032: Minor translation adjustment

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 23 Feb 2022 10:16:39 +0100

univention-web (4.0.2-47) unstable; urgency=medium

  * Bug #54032: In case login is not finished within 10 seconds, warning
    message is displayed to the user with link to the help page with
    common reasons.

 -- Nikola Radovanovic <radovanovic.extern@univention.de>  Tue, 14 Dec 2021 13:24:02 +0100

## univention-web 4.0.2-49A~5.0.0.202203101233

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Univention Management Console Frontend Package
 #  Makefile for building/installing the package
 #
-# Copyright 2011-2021 Univention GmbH
+# Copyright 2011-2022 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-web (4.0.2-49A~5.0.0.202203101233) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 10 Mar 2022 12:33:20 +0100

univention-web (4.0.2-49) unstable; urgency=medium

  * Bug #53678: don't display domain components of path in reverse
    domain notation

 -- Florian Best <best@univention.de>  Thu, 10 Mar 2022 12:07:31 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Univention Common Python and Shell Library
 #  rules file for the debian package
 #
-# Copyright 2011-2021 Univention GmbH
+# Copyright 2011-2022 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-web 4.0.2-51A~5.0.0.202204220150

=== debian/changelog ===
univention-web (4.0.2-51A~5.0.0.202204220150) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 22 Apr 2022 01:50:18 +0200

univention-web (4.0.2-51) unstable; urgency=medium

  * Bug #54467: add widget for users/user:mailPrimaryAddress

 -- Florian Best <best@univention.de>  Fri, 22 Apr 2022 01:34:26 +0200

univention-web (4.0.2-50) unstable; urgency=medium

  * Bug #38762: make MultiInput handle all types of widgets and fix
    _SelectMixin to not transform staticValues into null

 -- Florian Best <best@univention.de>  Fri, 22 Apr 2022 01:19:39 +0200

## univention-web 4.0.2-52A~5.0.0.202209261908

=== debian/changelog ===
univention-web (4.0.2-52A~5.0.0.202209261908) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 26 Sep 2022 19:08:01 +0200

univention-web (4.0.2-52) unstable; urgency=medium

  * Bug #55107: expose /usr/share/univention-web/themes to enable the
    import of the Portal css by the univention-app-appliance css

 -- Johannes Lohmer <lohmer@univention.de>  Tue, 30 Aug 2022 12:36:22 +0200

## univention-web 4.0.2-53A~5.0.0.202211101659

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,9 @@
 #
 # Univention Management Console Frontend Package
 #  Makefile for building/installing the package
+#
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
 #
 # Copyright 2011-2022 Univention GmbH
 #

=== debian/changelog ===
univention-web (4.0.2-53A~5.0.0.202211101659) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 10 Nov 2022 16:59:48 +0100

univention-web (4.0.2-53) unstable; urgency=medium

  * Bug #54451: fix checkboxes in Grid not being rendered correctly when
    scrolling

 -- Johannes Keiser <keiser@univention.de>  Thu, 10 Nov 2022 16:48:47 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 #
 # Univention Common Python and Shell Library
 #  rules file for the debian package
+#
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
 #
 # Copyright 2011-2022 Univention GmbH
 #

## univention-web 4.0.2-54A~5.0.0.202212221307

=== debian/changelog ===
univention-web (4.0.2-54A~5.0.0.202212221307) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 22 Dec 2022 13:07:23 +0100

univention-web (4.0.2-54) unstable; urgency=medium

  * Bug #55378: improve cookie banner usability

 -- Christian Castens <castens@univention.de>  Mon, 12 Dec 2022 16:06:34 +0100

## univention-web 4.0.3-1A~5.0.0.202302032016

=== debian/changelog ===
univention-web (4.0.3-1A~5.0.0.202302032016) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 03 Feb 2023 20:16:18 +0100

univention-web (4.0.3-1) unstable; urgency=medium

  * Bug #31771: migrate tabs to spaces

 -- Florian Best <best@univention.de>  Fri, 03 Feb 2023 04:17:42 +0100

## univention-web 4.0.3-2A~5.0.0.202303072220

=== debian/changelog ===
univention-web (4.0.3-2A~5.0.0.202303072220) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 07 Mar 2023 22:20:29 +0100

univention-web (4.0.3-2) unstable; urgency=medium

  * Bug #55862: Remove unused icons

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 07 Mar 2023 22:18:01 +0100

## univention-web 4.0.3-3A~5.0.0.202305110948

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2011-2022 Univention GmbH
+# Copyright 2011-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-web (4.0.3-3A~5.0.0.202305110948) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 11 May 2023 09:48:57 +0200

univention-web (4.0.3-3) unstable; urgency=medium

  * Bug #55990:
    - Add standby animation to widget loading dynamicValues
    - Added option to prevent search in MultiObjectSelect while search form loads

 -- Johannes Keiser <keiser@univention.de>  Mon, 08 May 2023 15:01:11 +0200

=== debian/control ===
Source: univention-web
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Standards-Version: 3.9.8
Build-Depends:
 debhelper,
 imagemagick,
 librsvg2-bin,
 node-stylus,
 nodejs,
 sed,
 univention-config-dev (>= 15.0.3),
 univention-dojo,
 univention-dojo-dev,
 univention-management-console-dev (>= 12.0.2),
 unzip,

Package: univention-web-js
Architecture: all
Depends:
 univention-apache,
 ${misc:Depends},
Description: Univention Javascript Library
 This package contains the uncompressed UMC Javascript source files
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-web-style
Architecture: all
Depends:
 ${misc:Depends},
Description: Univention Style Library
 This package contains CSS and graphic theme data
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-web-src
Architecture: all
Depends:
 ${misc:Depends},
Description: Univention Javascript Library - Source
 This package contains the uncompressed UMC Javascript source files
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2011-2022 Univention GmbH
+# Copyright 2011-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-web 4.0.4-1

=== debian/changelog ===
univention-web (4.0.4-1) unstable; urgency=medium

  * Bug #43633: adjust UMCP set/ HTTP requests

 -- Florian Best <best@univention.de>  Mon, 12 Jun 2023 07:48:20 +0200

## univention-web 4.0.4-2

=== debian/changelog ===
univention-web (4.0.4-2) unstable; urgency=medium

  * Bug #55939: fix text color of disabled UMC text boxes for Safari browser

 -- Christian Castens <castens@univention.de>  Tue, 13 Jun 2023 08:01:11 +0200

## univention-web 4.0.4-3

=== debian/changelog ===
univention-web (4.0.4-3) unstable; urgency=medium

  * Bug #56458: New variables for the default themes: border-radius,
    button-text-color, login page specific variables

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Sun, 20 Aug 2023 16:09:51 +0200

## univention-web 4.0.4-4

=== debian/changelog ===
univention-web (4.0.4-4) unstable; urgency=medium

  * Bug #55164: Show cookie banner only if configured for current domain

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 11 Sep 2023 17:02:30 +0200

## univention-web 4.0.4-5

=== debian/changelog ===
univention-web (4.0.4-5) unstable; urgency=medium

  * Bug #56548: keycloak specific settings have been removed from
    the themes

 -- Felix Botner <botner@univention.de>  Wed, 13 Sep 2023 10:42:20 +0200

## univention-web 4.0.5-2

=== debian/changelog ===
univention-web (4.0.5-2) unstable; urgency=medium

  * Bug #56562: retry aborted progress requests up to 5 times before showing
    an error

 -- Marius Meschter <marius.meschter@univention.de>  Mon, 18 Sep 2023 12:21:23 +0200

univention-web (4.0.5-1) unstable; urgency=medium

  * Bug #56548: keycloak specific settings have been removed from
    the themes

 -- Felix Botner <botner@univention.de>  Wed, 13 Sep 2023 11:36:25 +0200

## univention-web 4.0.7-3

=== debian/changelog ===
univention-web (4.0.7-3) unstable; urgency=medium

  * Bug #57192s: added explict dep to openjdk-11-jre-headless
    to avoid problems with ca-certificates-java

 -- Felix Botner <botner@univention.de>  Wed, 24 Apr 2024 12:22:40 +0200

univention-web (4.0.7-2) unstable; urgency=medium

  * Bug #57118: UCS 5.0-7 version bump
  * Bug #57192: Fixed cookie creation for UMCLang inside the portal and univention-web

 -- Mika Westphal <westphal@univention.de>  Tue, 02 Apr 2024 14:26:34 +0200

univention-web (4.0.6-1) unstable; urgency=medium

  * Bug #56832: UCS 5.0-6 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Dec 2023 19:17:29 +0100

## univention-web 4.0.8-1

=== debian/changelog ===
univention-web (4.0.8-1) unstable; urgency=medium

  [ Ivan Barbecho Delgado ]
  * Bug #57350 UCS 5.0-8 version bump

  [ Felix Botner ]
  * Bug #57378 switch product logos

 -- Felix Botner <botner@univention.de>  Fri, 07 Jun 2024 11:57:33 +0200

## univention-web 4.0.10-2

=== debian/changelog ===
univention-web (4.0.10-2) unstable; urgency=medium

  * Bug #58118: adjust css for MultiInput widget

 -- Christian Castens <castens@univention.de>  Tue, 19 Mar 2025 12:50:49 +0100

univention-web (4.0.10-1) UNRELEASED; urgency=medium

  * Bug #58002 UCS 5.0-10 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 04 Mar 2025 07:58:49 +0100

univention-web (4.0.9-1) UNRELEASED; urgency=medium

  * Bug #57581 UCS 5.0-9 version bump

 -- Arvid <requate@univention.de>  Thu, 12 Sep 2024 13:18:34 +0200

## univention-web 4.0.10-3

=== debian/changelog ===
univention-web (4.0.10-3) unstable; urgency=medium

  * Bug #58129: Fix for MultiInput not evaluating CheckBox subwidgets to false

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 28 Mar 2025 14:16:22 +0100

## univention-web 4.0.10-4

=== debian/changelog ===
univention-web (4.0.10-4) unstable; urgency=medium

  * Bug #58268: Correctly encode container names in tree view

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 08 May 2025 10:43:12 +0200

## univention-web 4.0.10-5

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2011-2023 Univention GmbH
+# Copyright 2011-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-web (4.0.10-5) unstable; urgency=medium

  * Bug #58825: Allow notifications to only appear behind the bell icon, not
    as a preview

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 19 Nov 2025 20:31:37 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  librsvg2-bin,
  node-stylus,
  nodejs,
+ openjdk-11-jre,
  sed,
  univention-config-dev (>= 15.0.3),
  univention-dojo,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2011-2023 Univention GmbH
+# Copyright 2011-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-web 5.0.4

=== debian/changelog ===
univention-web (5.0.4) unstable; urgency=medium

  * Bug #57378 switch product logos

 -- Felix Botner <botner@univention.de>  Mon, 17 Jun 2024 15:41:56 +0200

univention-web (5.0.3) unstable; urgency=medium

  * Bug #57192: Fixed cookie creation for UMCLang inside the portal and univention-web

 -- Mika Westphal <westphal@univention.de>  Fri, 19 Apr 2024 09:20:23 +0200

univention-web (5.0.2) unstable; urgency=medium

  * Bug #53127: upgrade to latest debhelper compat version

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:32 +0100

univention-web (5.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.1-0 version bump

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 22:19:31 +0100

univention-web (4.0.7-1) UNRELEASED; urgency=medium

  * Bug #57118 UCS 5.0-7 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Mar 2024 15:51:46 +0100

univention-web (4.0.6-1) UNRELEASED; urgency=medium

  * Bug #56832: UCS 5.0-6 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Dec 2023 19:17:29 +0100

## univention-web 6.0.8

=== debian/changelog ===
univention-web (6.0.8) unstable; urgency=medium

  * Bug #57856: fix UMC module header logos

 -- Christian Castens <castens@univention.de>  Tue, 14 Jan 2025 15:49:11 +0100

univention-web (6.0.7) unstable; urgency=medium

  * univention/ucs#2562: improve app logo on preview page

 -- Christian Castens <castens@univention.de>  Tue, 17 Dec 2024 15:49:11 +0100

univention-web (6.0.6) unstable; urgency=medium

  * Issue univention/ucs#2495: Adjust license information

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 25 Nov 2024 22:39:11 +0100

univention-web (6.0.5) unstable; urgency=medium

  * Bug #57378 switch product logos

 -- Felix Botner <botner@univention.de>  Mon, 17 Jun 2024 16:00:57 +0200

univention-web (6.0.4) unstable; urgency=medium

  * Bug #57192: Fixed cookie creation for UMCLang inside the portal and univention-web

 -- Mika Westphal <westphal@univention.de>  Fri, 19 Apr 2024 09:20:23 +0200

univention-web (6.0.3) unstable; urgency=medium

  * Bug #57083: add QA feedback to the latest portal style changes

 -- Christian Castens <castens@univention.de>  Fri, 15 Mar 2024 15:35:00 +0100

univention-web (6.0.2) unstable; urgency=medium

  * Bug #57083: change the style of the UMC header

 -- Christian Castens <castens@univention.de>  Fri, 08 Mar 2024 00:18:49 +0100

univention-web (6.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.2-0 version bump

 -- Florian Best <best@univention.de>  Fri, 08 Mar 2024 00:12:19 +0100

## univention-web 6.0.8-1

=== debian/changelog ===
univention-web (6.0.8-1) unstable; urgency=medium

  * Bug #58267: Correctly encode container names in tree view

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 08 May 2025 10:43:12 +0200

## univention-web 6.0.9-3

=== debian/changelog ===
univention-web (6.0.9-3) unstable; urgency=medium

  * Bug #58122: CSS adjustment for MultiInput widget

 -- Christian Castens <castens@univention.de>  Mon, 01 Apr 2025 09:45:33 +0100

univention-web (6.0.9-2) unstable; urgency=medium

  * Bug #58130: Fix for MultiInput not evaluating CheckBox subwidgets to false

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 28 Mar 2025 14:16:22 +0100

univention-web (6.0.9-1) UNRELEASED; urgency=medium

  * Bug #58015 UCS 5.2-1 version bump

 -- Christian Castens <castens@univention.de>  Mon, 03 Mar 2025 10:45:33 +0100

## univention-web 6.0.9-4

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2011-2024 Univention GmbH
+# Copyright 2011-2025 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-web (6.0.9-4) unstable; urgency=medium

  * Bug #49001: Correctly encode container names in tree view

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 08 May 2025 10:43:12 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2011-2024 Univention GmbH
+# Copyright 2011-2025 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-web 6.0.10

=== debian/changelog ===
univention-web (6.0.10) unstable; urgency=medium

  * Bug #58279: Fix html escaping of UCR keys in UMC syntax check popup

 -- Arvid Requate <requate@univention.de>  Fri, 16 May 2025 15:45:19 +0200

## univention-web 6.3.1

=== Makefile ===
--- 
+++ 
@@ -3,35 +3,8 @@
 # Univention Management Console Frontend Package
 #  Makefile for building/installing the package
 #
-# Like what you see? Join us!
-# https://www.univention.com/about-us/careers/vacancies/
-#
-# Copyright 2011-2025 Univention GmbH
-#
-# https://www.univention.de/
-#
-# All rights reserved.
-#
-# The source code of this program is made available
-# under the terms of the GNU Affero General Public License version 3
-# (GNU AGPL V3) as published by the Free Software Foundation.
-#
-# Binary versions of this program provided by Univention to you as
-# well as other copyrighted, protected or trademarked materials like
-# Logos, graphics, fonts, specific documentations and configurations,
-# cryptographic keys etc. are subject to a license agreement between
-# you and Univention and not subject to the GNU AGPL V3.
-#
-# In the case you use this program under the terms of the GNU AGPL V3,
-# the program is provided in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU Affero General Public License for more details.
-#
-# You should have received a copy of the GNU Affero General Public
-# License with the Debian GNU/Linux or Univention distribution in file
-# /usr/share/common-licenses/AGPL-3; if not, see
-# <https://www.gnu.org/licenses/>.
+# SPDX-FileCopyrightText: 2011-2025 Univention GmbH
+# SPDX-License-Identifier: AGPL-3.0-only
 
 
 ### META FILES AND DIRECTORIES ###

=== debian/changelog ===
univention-web (6.3.1) unstable; urgency=medium

  [ Ivan Barbecho Delgado ]
  * Bug #58568: UCS 5.2-3 version bump

  [ Dirk Wiesenthal ]
  * Bug #58817: Allow notifications to only appear behind the bell icon, not
    as a preview

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 18 Nov 2025 20:52:57 +0100

univention-web (6.2.0) UNRELEASED; urgency=medium

  * Bug #58344: UCS 5.2-2 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 28 May 2025 16:49:48 +0200

## univention-web 6.3.2

=== debian/changelog ===
univention-web (6.3.2) unstable; urgency=medium

  * Bug #52202: make widgets comptible for recyclebin

 -- Florian Best <best@univention.de>  Thu, 20 Nov 2025 14:14:46 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: Univention GmbH <packages@univention.de>
 Standards-Version: 3.9.8
 Build-Depends:
- debhelper,
+ debhelper-compat (=13),
  imagemagick,
  librsvg2-bin,
  node-stylus,
  nodejs,
- openjdk-11-jre,
  sed,
  univention-config-dev (>= 15.0.3),
  univention-dojo,

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention Common Python and Shell Library
#  rules file for the debian package
#
# SPDX-FileCopyrightText: 2011-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

%:
	dh $@ --with ucr

## univention-web 6.4.0

=== debian/changelog ===
univention-web (6.4.0) unstable; urgency=medium

  * Bug #58848: UCS 5.2-4 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Fri, 28 Nov 2025 09:30:00 +0100

## univention-web 6.4.3

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 $(BUILD_DIR)/dojo/dojo.js $(BUILD_THEME_DIR)/umc.css: build_profile.js tmp-build
 	# main dojo build process
 	mkdir -p $(BUILD_DIR)
-	/usr/share/univention-dojo/util/buildscripts/build.sh profile=build_profile.js version="$(VERSION)"
+	/usr/share/univention-dojo/util/buildscripts/build.sh profile=build_profile.js version="$(VERSION)" || { tail -200 build/build-report.txt; exit 1; }
 
 JS_INSTALL_DIR := usr/share/univention-web/js
 THEME_INSTALL_DIR=$(JS_INSTALL_DIR)/dijit/themes/umc

=== debian/changelog ===
univention-web (6.4.3) unstable; urgency=medium

  * Bug #58843: add dgrid patch for auto loading of tree root

 -- Florian Best <best@univention.de>  Sat, 13 Dec 2025 12:22:20 +0100

univention-web (6.4.2) unstable; urgency=medium

  * Bug #58843: fix API change for dgrid/Tree formatter

 -- Florian Best <best@univention.de>  Fri, 12 Dec 2025 16:15:30 +0100

univention-web (6.4.1) unstable; urgency=medium

  * Bug #58843: upgrade dojo libs

 -- Florian Best <best@univention.de>  Fri, 28 Nov 2025 14:59:10 +0100
